Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.run.xml
Class SimpleElement.AttributeMap.EntrySet.EntrySetIterator

`java.lang.Object
com.tangosol.run.xml.SimpleElement.AttributeMap.EntrySet.EntrySetIterator`

All Implemented Interfaces:
  Iterator

Enclosing class:
  SimpleElement.AttributeMap.EntrySet

      protected class SimpleElement.AttributeMap.EntrySet.EntrySetIterator

extends Object
implements Iterator

An Iterator over the Entry objects in the EntrySet.

Constructor Summary
`protected` | `SimpleElement.AttributeMap.EntrySet.EntrySetIterator()`

Method Summary
`boolean` | `hasNext()` Returns `true` if the iteration has more elements.
`Object` | `next()` Returns the next element in the iteration.
`void` | `remove()` Removes from the underlying collection the last element returned by the iterator (optional operation).

Constructor Detail

### SimpleElement.AttributeMap.EntrySet.EntrySetIterator

    protected SimpleElement.AttributeMap.EntrySet.EntrySetIterator()

Method Detail

### hasNext

    public boolean hasNext()

  Description copied from interface: `java.util.Iterator`
  Returns `true` if the iteration has more elements. (In other words, returns `true` if `next` would return an element rather than throwing an exception.)
  Specified by:
    `hasNext` in interface `Iterator`
  Returns:
    `true` if the iterator has more elements.

### next

    public Object next()

  Description copied from interface: `java.util.Iterator`
  Returns the next element in the iteration. Calling this method repeatedly until the `Iterator.hasNext()` method returns false will return each element in the underlying collection exactly once.
  Specified by:
    `next` in interface `Iterator`
  Returns:
    the next element in the iteration.

### remove

    public void remove()

  Description copied from interface: `java.util.Iterator`
  Removes from the underlying collection the last element returned by the iterator (optional operation). This method can be called only once per call to `next`. The behavior of an iterator is unspecified if the underlying collection is modified while the iteration is in progress in any way other than by calling this method.
  Specified by:
    `remove` in interface `Iterator`

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.